﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectPublishing.Entities
{
    public class Customer
    {
        public int Id { get; private set; }

        public string PhoneNumber { get; private set; }

        public string Email { get; private set; }

        public int PublisherId { get; private set; }

        public static Customer CreateCustomer(int id, string phoneNumber, string email, int publisherId)
        {
            return new Customer
            {
                Id = id,
                PhoneNumber = phoneNumber,
                Email = email,
                PublisherId = publisherId
            };
        }
    }
}
