﻿using ProjectPublishing.Entities.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectPublishing.Entities
{
    public class Material
    {
        public int Id { get; private set; }

        public string Name { get; private set; }

        public MaterialType MaterialType { get; private set; }

        public static Material CreateMaterial(int id, string name, MaterialType materialType)
        {
            return new Material { Id = id, Name = name, MaterialType = materialType };
        }
    }
}
