﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectPublishing.Entities
{
    public class OrderMaterials
    {
        public int OrderId { get; private set; }

        public int MaterialsId { get; private set; }

        public int Amount { get; private set; }

        public static OrderMaterials Create(int orderId, int materials, int amount)
        {
            return new OrderMaterials
            {
                MaterialsId = materials,
                OrderId = orderId,
                Amount = amount
            };
        }
    }
}
