﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectPublishing.Entities
{
    public class ContactPerson
    {
        public int Id { get; private set; }

        public string Name { get; private set; }

        public string PhoneNumber { get; private set; }

        public string Email { get; private set; }

        public static ContactPerson CreateContactPerson(int id, string name, string phoneNumber, string email)
        {
            return new ContactPerson
            {
                Id = id,
                Name = name,
                PhoneNumber = phoneNumber,
                Email = email
            };
        }
    }
}
