﻿using ProjectPublishing.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectPublishing.Repositories
{
    public interface IContactPersonRepository
    {
        IEnumerable<ContactPerson> ReadContactPeople();

        ContactPerson ReadContactPersonById(int id);

        void CreateContactPerson(ContactPerson contactPerson);

        void UpdateContactPerson(ContactPerson contactPerson);

        void DeleteContactPerson(int id);
    }
}
