﻿using ProjectPublishing.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectPublishing.Repositories
{
    public interface IMaterialAdmissionRepository
    {
        IEnumerable<MaterialsAdmission> ReadMaterialsAdmission(int? amount = null, DateTime? date = null, int? materialId = null);

        MaterialsAdmission ReadAdmissionById(int id);

        void CreateMaterialsAdmission(MaterialsAdmission materialAdmission);

    }
}
